View Issue Details

IDProjectCategoryView StatusLast Update
0020053mantisbtemailpublic2015-09-06 17:37
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.3 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0020053: Email validation fails when user email has a space
Description

Users can't be created if the email address has a space around it (e.g. space at the end sometimes when email address is copied and pasted). However, the update user scenario accepts space.

This may have been introduced by the new email validation implemented in 0017279

The fix would be to trim the email address before validating/storing it.

Tagsmantishub

Activities

Related Changesets

MantisBT: master 540a79ba

2015-08-27 22:42:47

vboctor

Details Diff
Trim email address in user creation

Fixes 0020053
mod - manage_user_create.php Diff File

Issue History

Date Modified Username Field Change
2015-08-24 22:14 vboctor New Issue
2015-08-24 22:14 vboctor Status new => assigned
2015-08-24 22:14 vboctor Assigned To => vboctor
2015-08-24 22:17 vboctor Note Added: 0051308
2015-08-24 22:33 vboctor Tag Attached: mantishub
2015-08-27 22:45 vboctor Changeset attached => MantisBT master 540a79ba
2015-08-27 22:45 vboctor Status assigned => resolved
2015-08-27 22:45 vboctor Resolution open => fixed
2015-08-27 22:45 vboctor Fixed in Version => 1.3.0-beta.3
2015-09-06 17:37 vboctoradmin Status resolved => closed